<div class="imageContainer">
    <fa-icon class="pp" [icon]="faUser"></fa-icon>
    <p> Ajout utilisateur </p>
</div>

<div class="container">
    <div *ngIf="isloginvalid">
        <input class="input" type="text" placeholder="Identifiant" [(ngModel)]="login">
    </div>
    <div *ngIf="!isloginvalid" class="invalidfield">
        <input class="input" type="text" placeholder="Identifiant" [(ngModel)]="login">
    </div>

    <div *ngIf="ispasswordvalid">
        <input class="input" type="password" placeholder="Mot de passe" [(ngModel)]="password">
    </div>
    <div *ngIf="!ispasswordvalid" class="invalidfield">
        <input class="input" type="password" placeholder="Mot de passe" [(ngModel)]="password">
    </div>

    <div *ngIf="isfirstnamevalid">
        <input class="input" type="text" placeholder="Prénom" [(ngModel)]="firstname">
    </div>
    <div *ngIf="!isfirstnamevalid" class="invalidfield">
        <input class="input" type="text" placeholder="Prénom" [(ngModel)]="firstname">
    </div>

    <div *ngIf="islastnamevalid">
        <input class="input" type="text" placeholder="Nom" [(ngModel)]="lastname">
    </div>
    <div *ngIf="!islastnamevalid" class="invalidfield">
        <input class="input" type="text" placeholder="Nom" [(ngModel)]="lastname">
    </div>

    <div *ngIf="isRoleValid">
        <select class="combobox" class="form-select" [(ngModel)]="selectedrole">
            <option value="" disabled selected>Role</option>
            <option *ngFor="let role of roles">{{role}}</option>
        </select>
    </div>
    <div *ngIf="!isRoleValid" class="invalidfield">
        <select class="combobox" class="form-select" [(ngModel)]="selectedrole">
            <option value="" disabled selected>Role</option>
            <option *ngFor="let role of roles">{{role}}</option>
        </select>
    </div>

    <div *ngIf="invalidfield" class="invalidfield">
        <label>L'un des champs n'est pas valide</label>
    </div>
    <button class="login_button" (click)="Signin()">Créer</button>
</div>